Failed to build package qt

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Failed to build package qt

Anirudha Bose
Hi everyone.

I got several errors while building mxe-octave. See log: http://pastebin.com/BnWamjBT

I have done hg update to incorporate the latest changes, and then
  autoconf
  ./configure

Last time I built mxe-octave, my build didn't fail because of Qt (though GUI was disabled)

Log for octave:
checking for moc-qt5... no
checking for moc-qt4... no
checking for moc... no
checking for uic-qt5... no
checking for uic-qt4... no
checking for uic... no
checking for rcc... no
checking for lrelease-qt5... no
checking for lrelease-qt4... no
checking for lrelease... no
configure: WARNING: Qt utility programs moc, uic, rcc, and lrelease not found -- disabling GUI

Any help is appreciated.

- Anirudha
Reply | Threaded
Open this post in threaded view
|

Re: Failed to build package qt

Michael Goffioul
On Tue, Jun 18, 2013 at 3:58 AM, Anirudha Bose <[hidden email]> wrote:
Hi everyone.

I got several errors while building mxe-octave. See log: http://pastebin.com/BnWamjBT

I have done hg update to incorporate the latest changes, and then
  autoconf
  ./configure

Last time I built mxe-octave, my build didn't fail because of Qt (though GUI was disabled)

Log for octave:
checking for moc-qt5... no
checking for moc-qt4... no
checking for moc... no
checking for uic-qt5... no
checking for uic-qt4... no
checking for uic... no
checking for rcc... no
checking for lrelease-qt5... no
checking for lrelease-qt4... no
checking for lrelease... no
configure: WARNING: Qt utility programs moc, uic, rcc, and lrelease not found -- disabling GUI

Any help is appreciated.

Can you check whether Qt has been compiled by MXE (check the installed_packages directory)? If not, try to force compilation with "make qt". Also make sure your MXE clone is up to date. MXE is a moving target so you should make sure to have the latest version.

Michael.

Reply | Threaded
Open this post in threaded view
|

Re: Failed to build package qt

Anirudha Bose
On Tue, Jun 18, 2013 at 4:51 PM, Michael Goffioul <[hidden email]> wrote:
On Tue, Jun 18, 2013 at 3:58 AM, Anirudha Bose <[hidden email]> wrote:
Hi everyone.

I got several errors while building mxe-octave. See log: http://pastebin.com/BnWamjBT

I have done hg update to incorporate the latest changes, and then
  autoconf
  ./configure

Last time I built mxe-octave, my build didn't fail because of Qt (though GUI was disabled)

Log for octave:
checking for moc-qt5... no
checking for moc-qt4... no
checking for moc... no
checking for uic-qt5... no
checking for uic-qt4... no
checking for uic... no
checking for rcc... no
checking for lrelease-qt5... no
checking for lrelease-qt4... no
checking for lrelease... no
configure: WARNING: Qt utility programs moc, uic, rcc, and lrelease not found -- disabling GUI

Any help is appreciated.

Can you check whether Qt has been compiled by MXE (check the installed_packages directory)? If not, try to force compilation with "make qt". Also make sure your MXE clone is up to date. MXE is a moving target so you should make sure to have the latest version.

I tried "make qt". I even started the build afresh but I am still getting the same error. My clone of mxe-octave is up to date. Can you examine the log to see what is the problem?

Reply | Threaded
Open this post in threaded view
|

Re: Failed to build package qt

Michael Goffioul
On Tue, Jun 18, 2013 at 3:18 PM, Anirudha Bose <[hidden email]> wrote:
On Tue, Jun 18, 2013 at 4:51 PM, Michael Goffioul <[hidden email]> wrote:
On Tue, Jun 18, 2013 at 3:58 AM, Anirudha Bose <[hidden email]> wrote:
Hi everyone.

I got several errors while building mxe-octave. See log: http://pastebin.com/BnWamjBT

I have done hg update to incorporate the latest changes, and then
  autoconf
  ./configure

Last time I built mxe-octave, my build didn't fail because of Qt (though GUI was disabled)

Log for octave:
checking for moc-qt5... no
checking for moc-qt4... no
checking for moc... no
checking for uic-qt5... no
checking for uic-qt4... no
checking for uic... no
checking for rcc... no
checking for lrelease-qt5... no
checking for lrelease-qt4... no
checking for lrelease... no
configure: WARNING: Qt utility programs moc, uic, rcc, and lrelease not found -- disabling GUI

Any help is appreciated.

Can you check whether Qt has been compiled by MXE (check the installed_packages directory)? If not, try to force compilation with "make qt". Also make sure your MXE clone is up to date. MXE is a moving target so you should make sure to have the latest version.

I tried "make qt". I even started the build afresh but I am still getting the same error. My clone of mxe-octave is up to date. Can you examine the log to see what is the problem?


Sure, if you provide the file. You should inspect config.log in octave to see why Qt tools are not found. You should also make sure that Qt compilation succeeded and that the required tools are available in the destination directory.

Michael.

Reply | Threaded
Open this post in threaded view
|

Re: Failed to build package qt

John Donoghue-3
In reply to this post by Anirudha Bose

>> On Tue, Jun 18, 2013 at 3:58 AM, Anirudha Bose <[hidden email]> wrote:
>>
>>> Hi everyone.
>>>
>>> I got several errors while building mxe-octave. See log:
>>> http://pastebin.com/BnWamjBT
>>>
>>> I have done hg update to incorporate the latest changes, and then
>>>    autoconf
>>>    ./configure
>>>
>>> Last time I built mxe-octave, my build didn't fail because of Qt (though
>>> GUI was disabled)
>>>
>>> Log for octave:
>>> checking for moc-qt5... no
>>> checking for moc-qt4... no
>>> checking for moc... no
>>> checking for uic-qt5... no
>>> checking for uic-qt4... no
>>> checking for uic... no
>>> checking for rcc... no
>>> checking for lrelease-qt5... no
>>> checking for lrelease-qt4... no
>>> checking for lrelease... no
>>> configure: WARNING: Qt utility programs moc, uic, rcc, and lrelease not
>>> found -- disabling GUI
>>>
>>> Any help is appreciated.
>>>
>> Can you check whether Qt has been compiled by MXE (check the
>> installed_packages directory)? If not, try to force compilation with "make
>> qt". Also make sure your MXE clone is up to date. MXE is a moving target so
>> you should make sure to have the latest version.
>>
> I tried "make qt". I even started the build afresh but I am still getting
> the same error. My clone of mxe-octave is up to date. Can you examine the
> log to see what is the problem?
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://mailman.cae.wisc.edu/pipermail/octave-maintainers/attachments/20130619/2a4f4a1a/attachment-0001.html>
>
>
If you were trying to do a cross mx build, then try another pull/update
and then make.
There was a change made to Qt.mk that effected all builds rather than
just native builds - it should be fixed now.